local fn = _gn(0xE825F6B6CEA7671D)
--- Checks if the component variation is valid, this works great for randomizing components using loops.
-- @param ped The ped handle.
-- @param componentId The component id to check the variation of. Refer to [SET_PED_COMPONENT_VARIATION](#\_0x262B14F48D29DE80).
-- @param drawableId The drawable id to get the component variation of. Refer to [GET_NUMBER_OF_PED_PROP_DRAWABLE_VARIATIONS](#\_0x5FAF9754E789FB47).
-- @param textureId The texture id to get the component variation of. Refer to [GET_NUMBER_OF_PED_PROP_TEXTURE_VARIATIONS](#\_0xA6E7F1CEB523E171).
function Global.IsPedComponentVariationValid(ped, componentId, drawableId, textureId)
	return fn(ped, componentId, drawableId, textureId, _r)
end
